import { ValidationError } from '../definitions';
export declare class BaseError extends Error {
    message: string;
    name: string;
    stack: string;
    constructor(message: string);
    toString(): string;
}
export declare class InputValidationError extends BaseError {
    errors: ValidationError[];
    constructor(message: string, errors: ValidationError[]);
}
export declare class CommandNotFoundError extends BaseError {
    args: string[];
    constructor(message: string, args: string[]);
}
